cURL
curl --request GET \
--url https://api.creatify.ai/api/ai_scripts/{id}/ \
--header 'X-API-ID: <api-key>' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.creatify.ai/api/ai_scripts/{id}/"
headers = {
"X-API-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-ID': '<api-key>', 'X-API-KEY': '<api-key>'}};
fetch('https://api.creatify.ai/api/ai_scripts/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generated_scripts": [
{
"paragraphs": "<string>",
"script_name": "<string>",
"title": "<string>",
"script_style": ""
}
],
"failed_reason": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user": 123,
"workspace": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"title": "<string>",
"description": "<string>",
"image_urls": null,
"video_urls": null,
"image_selected": null,
"video_selected": null,
"reviews": null,
"created_with": "link_to_video",
"logo_url": "<string>",
"price": "<string>",
"original_price": "<string>",
"promo_price": "<string>",
"use_promotional_info": true,
"highlight_features": "<string>",
"brand_info": "<string>",
"promotional_details": "<string>",
"trigger_insights": true,
"ai_summary": "<string>",
"ai_target_audiences": null,
"ai_key_features": null,
"ai_keywords": null,
"ai_industry": 123,
"ai_product_type": "<string>",
"primary_image_url": "<string>",
"brand_colors": null,
"qrcode_url": "<string>",
"contact_number": "<string>"
},
"credits_used": 123,
"language": "af",
"target_audience": "<string>",
"video_length": 15,
"script_styles": [
"BenefitsV2"
]
}API Reference
Get AI Script item by id
Mixin to provide a reusable list method for filtering and paginating queryset results.
GET
/
api
/
ai_scripts
/
{id}
/
cURL
Authorizations
API ID, from your settings page.
API Key, from your settings page.
Path Parameters
A UUID string identifying this ai script job.
Response
200 - application/json
Show child attributes
Show child attributes
pending- Pendingin_queue- In Queuerunning- Runningfailed- Faileddone- Donerejected- Rejected
Available options:
pending, in_queue, running, failed, done, rejected Show child attributes
Show child attributes
Credits used in this api call
af- Afrikaansar- Arabicas- Assameseaz- Azerbaijanibe- Belarusianbg- Bulgarianbn- Bengalibs- Bosnianca- Catalan; Valenciancb- Cebuanocs- Czechcy- Welshda- Danishde- Germanel- Greek, Modernen- Englishes- Spanish; Castilianet- Estonianfa- Persianfi- Finnishfl- Filipinofr- Frenchga- Irishgl- Galiciangu- Gujaratiha- Hausahe- Hebrew (modern)hi- Hindihr- Croatianhu- Hungarianhy- Armenianid- Indonesianis- Icelandicit- Italianja- Japanesejv- Javaneseka- Georgiankk- Kazakhkn- Kannadako- Koreanky- Kirghiz, Kyrgyzlb- Luxembourgish, Letzeburgeschln- Lingalalt- Lithuanianlv- Latvianmk- Macedonianml- Malayalammr- Marathi (Marāṭhī)ms- Malayne- Nepalinl- Dutchno- Norwegianny- Chichewa; Chewa; Nyanjapa- Panjabi, Punjabipl- Polishps- Pashto, Pushtopt- Portuguesero- Romanian, Moldavian, Moldovanru- Russiansd- Sindhisk- Slovaksl- Sloveneso- Somalisr- Serbiansv- Swedishsw- Swahilita- Tamilte- Teluguth- Thaitl- Tagalogtr- Turkishuk- Ukrainianur- Urduvi- Vietnamesezh- Chinese
Available options:
af, ar, as, az, be, bg, bn, bs, ca, cb, cs, cy, da, de, el, en, es, et, fa, fi, fl, fr, ga, gl, gu, ha, he, hi, hr, hu, hy, id, is, it, ja, jv, ka, kk, kn, ko, ky, lb, ln, lt, lv, mk, ml, mr, ms, ne, nl, no, ny, pa, pl, ps, pt, ro, ru, sd, sk, sl, so, sr, sv, sw, ta, te, th, tl, tr, uk, ur, vi, zh 15- 1530- 3045- 4560- 60
Available options:
15, 30, 45, 60 List of script styles to generate, if not provided, four random script styles will be generated
Maximum array length:
5BenefitsV2: BenefitsBrandStoryV2: Brand StoryCallToActionV2: Call To ActionDiscoveryWriter: DiscoveryDontWorryWriter: Don't WorryEmotionalWriter: EmotionalGenzWriter: Gen ZHowToV2: How ToLetMeShowYouWriter: Let Me Show YouMotivationalWriter: MotivationalProblemSolutionV2: Problem SolutionProblemSolutionWriter: Problem-SolutionProductHighlightsV2: Product HighlightsProductLifestyleV2: Product LifestyleResponseBubbleWriter: Response BubbleSpecialOffersV2: Special OffersStoryTimeWriter: StorytimeThreeReasonsWriter: 3 Reasons WhyTrendingTopicsV2: Trending Topics
Available options:
BenefitsV2, BrandStoryV2, CallToActionV2, DiscoveryWriter, DontWorryWriter, EmotionalWriter, GenzWriter, HowToV2, LetMeShowYouWriter, MotivationalWriter, ProblemSolutionV2, ProblemSolutionWriter, ProductHighlightsV2, ProductLifestyleV2, ResponseBubbleWriter, SpecialOffersV2, StoryTimeWriter, ThreeReasonsWriter, TrendingTopicsV2 
